Typedefs | Functions

# hmac.h File Reference

`#include "wizard/hash.h"`

Go to the source code of this file.

## Typedefs
typedef struct _HMACInfo | HMACInfo
## Functions
WizardExport HMACInfo * | AcquireHMACInfo (const HashType)
WizardExport HMACInfo ** | DestroyHMACInfo (HMACInfo *)
WizardExport const StringInfo * | GetHMACDigest (const HMACInfo *)
WizardExport size_t | GetHMACDigestsize (const HMACInfo *)
WizardExport void | ConstructHMAC (HMACInfo *, const StringInfo *, const StringInfo *)
WizardExport void | FinalizeHMAC (HMACInfo *)
WizardExport void | InitializeHMAC (HMACInfo *, const StringInfo *)
WizardExport void | ResetHMAC (HMACInfo *)
WizardExport void | UpdateHMAC (HMACInfo *, const StringInfo *)

## Typedef Documentation

typedef struct _HMACInfo HMACInfo

## Function Documentation

WizardExport HMACInfo* AcquireHMACInfo | ( | const | HashType | ) |

WizardExport void ConstructHMAC | ( | HMACInfo * | ,
|  | const StringInfo * | ,
|  | const StringInfo * |  |
| ) |  |  |

WizardExport HMACInfo* * DestroyHMACInfo | ( | HMACInfo * |  | ) |

References DestroyHashInfo(), DestroyStringInfo(), _HMACInfo::digest, _HMACInfo::final_nonce, GetWizardModule, _HMACInfo::hash_info, _HMACInfo::initial_nonce, LogWizardEvent(), RelinquishWizardMemory(), _HMACInfo::signature, TraceEvent, and WizardSignature.

Referenced by DestroyRandomInfo(), DestroySecretInfo(), and GenerateSessionKey().

WizardExport void FinalizeHMAC | ( | HMACInfo * |  | ) |

WizardExport const StringInfo* GetHMACDigest | ( | const HMACInfo * |  | ) |

References _HMACInfo::digest, GetWizardModule, LogWizardEvent(), MACDomain, _HMACInfo::signature, TraceEvent, WizardAssert, and WizardSignature.

Referenced by AcquireRandomInfo(), AuthenticateSecretKey(), GenerateSecretKey(), GenerateSessionKey(), SaveEntropyToReservoir(), and SetRandomKey().

WizardExport size_t GetHMACDigestsize | ( | const HMACInfo * |  | ) |

References CipherDomain, GetHashDigestsize(), GetWizardModule, _HMACInfo::hash_info, LogWizardEvent(), _HMACInfo::signature, TraceEvent, WizardAssert, and WizardSignature.

Referenced by AcquireRandomInfo(), and SetRandomKey().

WizardExport void InitializeHMAC | ( | HMACInfo * | ,
|  | const StringInfo * |  |
| ) |  |  |

WizardExport void ResetHMAC | ( | HMACInfo * |  | ) |

WizardExport void UpdateHMAC | ( | HMACInfo * | ,
|  | const StringInfo * |  |
| ) |  |  |

References GetWizardModule, _HMACInfo::hash_info, LogWizardEvent(), _HMACInfo::signature, TraceEvent, UpdateHash(), and WizardSignature.

Referenced by ConstructHMAC(), and SetRandomKey().